# Generated by Django 3.0.6 on 2020-07-22 12:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('userauth', '0007_auto_20200714_1119'),
        ('main', '0006_auto_20200722_0929'),
    ]

    operations = [
        migrations.RenameField(
            model_name='chatroom',
            old_name='contact',
            new_name='members',
        ),
        migrations.RemoveField(
            model_name='chat',
            name='contact',
        ),
        migrations.AddField(
            model_name='chat',
            name='author',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='userauth.Profile'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='chat',
            name='room_name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.ChatRoom'),
        ),
    ]
